Loading...
Searching...
No Matches
ap::ap_error Class Reference

`#include <ap.h>`

## Static Public Member Functions

static void | make_assertion (bool bClause)
static void | make_assertion (bool bClause)

## Detailed Description

Definition at line 46 of file ap.h.

## Member Function Documentation

## make_assertion() [1/2]

void ap::ap_error::make_assertion | ( | bool | bClause | ) |

inline static

Definition at line 49 of file ap.h.

{ if(!bClause) throw ap_error(); };

## make_assertion() [2/2]

void ap::ap_error::make_assertion | ( | bool | bClause | ) |

inline static

Definition at line 58 of file svd_si.h.

{ if(!bClause) /*throw ap_error();*/ ::WerrorS("ap_error"); };
WerrorS
void WerrorS(const char *s)
Definition feFopen.cc:24

The documentation for this class was generated from the following files:

- Singular/svd/libs/ap.h
- Singular/svd_si.h